webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.CacheModel

Contents

- Enums
- Methods

Description

Object used to communicate with the application when downloading

Synopsis

- data CacheModel
  - = CacheModelDefault
  - | CacheModelDocumentViewer
  - | CacheModelWebBrowser
  - | CacheModelDocumentBrowser
- getCacheModel :: IO CacheModel
- setCacheModel :: CacheModel -> IO ()

# Enums

data CacheModel

Constructors

CacheModelDefault |
CacheModelDocumentViewer |
CacheModelWebBrowser |
CacheModelDocumentBrowser |

Instances

Enum CacheModel |

# Methods

getCacheModel :: IO CacheModel

Returns the current cache model. For more information about this value check the documentation of the function `setCacheModel`.

- Since 1.1.18

setCacheModel :: CacheModel -> IO ()

Specifies a usage model for WebViews, which WebKit will use to determine its caching behavior. All web views follow the cache model. This cache model determines the RAM and disk space to use for caching previously viewed content .

Research indicates that users tend to browse within clusters of documents that hold resources in common, and to revisit previously visited documents. WebKit and the frameworks below it include built-in caches that take advantage of these patterns, substantially improving document load speed in browsing situations. The WebKit cache model controls the behaviors of all of these caches, including various WebCore caches.

Browsers can improve document load speed substantially by specifying WebkitCacheModelWebBrowser. Applications without a browsing interface can reduce memory usage substantially by specifying WebkitCacheModelDocumentViewer. Default value is WebkitCacheModelWebBrowser.

- Since 1.1.18